> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unarchive an entity



## OpenAPI

````yaml /openapi/cortex_swagger.json put /api/v1/catalog/{tagOrId}/unarchive
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/catalog/{tagOrId}/unarchive:
    put:
      tags:
        - Catalog Entities
      summary: Unarchive an entity
      operationId: unarchiveEntity
      parameters:
        - description: >-
            The tag (`x-cortex-tag`) or unique, auto-generated identifier (CID)
            for the entity. If the tag contains forward slashes, URL-encode each
            `/` as `%2F`. The tag is matched exactly as encoded, including
            leading, trailing, and consecutive slashes, which are preserved and
            not collapsed (for example, the tag `/services/payments-api` is
            referenced as `%2Fservices%2Fpayments-api`). Tags containing slashes
            are supported via the API but not in the Cortex UI; this difference
            is expected.
          in: path
          name: tagOrId
          required: true
          schema:
            type: string
            description: Entity identifier - can be a tag or CID
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailsResponse'
          description: Successfully unarchived entity
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Entity not found
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    DetailsResponse:
      required:
        - groups
        - hierarchy
        - id
        - isArchived
        - lastUpdated
        - links
        - metadata
        - name
        - owners
        - ownership
        - slackChannels
        - tag
        - type
      type: object
      properties:
        definition:
          $ref: '#/components/schemas/JsonNode'
        description:
          type: string
          description: >-
            Description of the entity visible in the Service, Resource, or
            Domain Catalog. Markdown is supported.
        git:
          $ref: '#/components/schemas/GitDetails'
        groups:
          type: array
          description: Corresponds to the x-cortex-groups field in the Catalog Descriptor
          items:
            type: string
            description: Corresponds to the x-cortex-groups field in the Catalog Descriptor
        hierarchy:
          $ref: '#/components/schemas/EntityHierarchyDetails'
        id:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier for the
            entity.
          example: en2da8159dbeefb974
        isArchived:
          type: boolean
        lastUpdated:
          type: string
          description: Last updated ISO timestamp
          format: date-time
        links:
          type: array
          description: >-
            Relevant links for the entity. Corresponds to the x-cortex-links
            field in the entity descriptor
          items:
            $ref: '#/components/schemas/Link'
        metadata:
          type: array
          description: Custom data key/values associated with the entity
          items:
            $ref: '#/components/schemas/Metadata'
        name:
          type: string
          description: Human-readable name for the entity
          example: My Favorite Entity
        owners:
          $ref: '#/components/schemas/DeprecatedOwners'
        ownersV2:
          $ref: '#/components/schemas/OwnersDetails'
        ownership:
          $ref: '#/components/schemas/Owners'
        slackChannels:
          type: array
          items:
            $ref: '#/components/schemas/SlackChannelDetails'
        tag:
          type: string
          description: >-
            Unique identifier for the entity. Corresponds to the x-cortex-tag
            field in the entity descriptor.
          example: my-favorite-entity
        type:
          type: string
          description: >-
            Type of the entity. Corresponds to the x-cortex-type field in the
            entity descriptor or 'service' for services.
          example: service
    ErrorResponse:
      required:
        - message
        - type
      type: object
      properties:
        details:
          type: string
        errorCode:
          type: string
        gatewayHttpStatus:
          type: integer
          format: int32
        httpStatus:
          type: integer
          format: int32
        message:
          type: string
        requestId:
          type: string
        type:
          type: string
          enum:
            - INTEGRATION_MISSING
            - INTEGRATION_UNREGISTERED
            - INTEGRATION_UNSUPPORTED
            - INTEGRATION_GRAPHQL_ERROR
            - INTEGRATION_BAD_REQUEST
            - INTEGRATION_UNAUTHORIZED
            - INTEGRATION_FORBIDDEN
            - INTEGRATION_NOT_FOUND
            - INTEGRATION_UNPROCESSABLE_CONTENT
            - INTEGRATION_RATE_LIMITED
            - INTEGRATION_INTERNAL_ERROR
            - INTEGRATION_NOT_IMPLEMENTED
            - INTEGRATION_BAD_GATEWAY
            - INTEGRATION_UNAVAILABLE
            - INTEGRATION_GATEWAY_TIMEOUT
            - INTEGRATION_TIMED_OUT
            - INTEGRATION_CACHE_ERROR
            - INTEGRATION_UNHANDLED_HTTP_ERROR
            - INTEGRATION_UNHANDLED_EXCEPTION
            - INTEGRATION_UNEXPECTED_ERROR
            - ILLEGAL_ARGUMENT_ERROR
            - BAD_REQUEST
            - FORBIDDEN
            - NOT_FOUND
            - REQUEST_TIMEOUT
            - CONFLICT
            - UNHANDLED_EXCEPTION
            - UNCATEGORIZED
            - SERVICE_CREATOR
            - UNKNOWN_HOST
            - TOO_MANY_REQUESTS
    JsonNode:
      type: object
    GitDetails:
      required:
        - provider
        - repository
        - repositoryUrl
      type: object
      properties:
        alias:
          type: string
          description: >-
            Custom defined alias (this is only relevant if you have opted into
            multi account support)
        basepath:
          type: string
          description: >-
            If the entity is in a monorepo (e.g. in a subdirectory), this field
            defines the subdirectory
        provider:
          type: string
          description: Name of the Git provider
          example: github
        repository:
          type: string
          description: Repository name as defined in your Git provider
        repositoryUrl:
          type: string
          description: URL of the Git repository
      description: Metadata about the entity's git repository
    EntityHierarchyDetails:
      required:
        - children
        - parents
      type: object
      properties:
        children:
          uniqueItems: true
          type: array
          description: Nested children chain for the specific entity.
          items:
            $ref: '#/components/schemas/HierarchyChildNode'
        parents:
          uniqueItems: true
          type: array
          description: Nested parent chain for the specific entity.
          items:
            $ref: '#/components/schemas/HierarchyParentNode'
      description: >-
        Hierarchy details for the entity. Includes both the parent & the
        children chains.
    Link:
      required:
        - name
        - type
        - url
      type: object
      properties:
        description:
          type: string
          description: An optional description of the link
        name:
          type: string
          description: Human-readable name for the link visible in the Catalog
        type:
          type: string
          description: >-
            Corresponds to the type field in a link definition provided in the
            Catalog Descriptor
        url:
          type: string
      description: >-
        Relevant links for the entity. Corresponds to the x-cortex-links field
        in the entity descriptor
    Metadata:
      required:
        - key
        - value
      type: object
      properties:
        key:
          type: string
          description: The custom data key, referred to in CQL as custom("key")
        value:
          $ref: '#/components/schemas/JsonNode'
      description: Custom data key/values associated with the entity.
    DeprecatedOwners:
      required:
        - emails
        - groups
        - slackChannels
      type: object
      properties:
        emails:
          type: array
          items:
            type: string
        groups:
          type: array
          items:
            type: string
        slackChannels:
          type: array
          items:
            type: string
      description: >-
        Deprecated. Use `ownership` (same semantics) or `ownersV2` (newer,
        richer shape). Retained in the response for backwards compatibility with
        older integrations and may be removed in a future release.
      deprecated: true
    OwnersDetails:
      required:
        - individuals
        - teams
      type: object
      properties:
        individuals:
          type: array
          items:
            $ref: '#/components/schemas/IndividualOwnerDetails'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/TeamDetails'
      description: Entity owners information
    Owners:
      required:
        - emails
        - groups
        - slackChannels
      type: object
      properties:
        emails:
          type: array
          items:
            $ref: '#/components/schemas/Email'
        groups:
          type: array
          description: >-
            List of IdP or Cortex Teams (not to be confused with the
            x-cortex-groups).
          items:
            $ref: '#/components/schemas/OwnerGroup'
        slackChannels:
          type: array
          description: >-
            Use the top-level `slackChannels` field instead of the one nested
            inside `ownership`
          deprecated: true
          items:
            $ref: '#/components/schemas/SlackChannel'
    SlackChannelDetails:
      required:
        - name
        - notificationsEnabled
      type: object
      properties:
        description:
          type: string
          description: Description of the Slack channel
          example: This is the engineering channel
        name:
          type: string
          description: Name of the Slack channel
          example: engineering
        notificationsEnabled:
          type: boolean
          description: Whether notifications are enabled for this channel
      description: Slack channel information
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    HierarchyChildNode:
      required:
        - children
        - id
        - name
        - tag
        - type
      type: object
      properties:
        children:
          $ref: '#/components/schemas/HierarchyChildNode'
        definition:
          $ref: '#/components/schemas/JsonNode'
        description:
          type: string
        groups:
          type: array
          description: >-
            List of groups for this node. Only included if
            includeHierarchyFields contains groups
          items:
            type: string
            description: >-
              List of groups for this node. Only included if
              includeHierarchyFields contains groups
        id:
          type: string
        name:
          type: string
        tag:
          type: string
        type:
          type: string
      description: Child at the current depth, and its children.
    HierarchyParentNode:
      required:
        - id
        - name
        - parents
        - tag
        - type
      type: object
      properties:
        definition:
          $ref: '#/components/schemas/JsonNode'
        description:
          type: string
        groups:
          type: array
          description: >-
            List of groups for this node. Only included if
            includeHierarchyFields contains groups
          items:
            type: string
            description: >-
              List of groups for this node. Only included if
              includeHierarchyFields contains groups
        id:
          type: string
        name:
          type: string
        parents:
          $ref: '#/components/schemas/HierarchyParentNode'
        tag:
          type: string
        type:
          type: string
      description: Parent at the current depth, and its parents.
    IndividualOwnerDetails:
      required:
        - email
      type: object
      properties:
        description:
          type: string
          description: Description of the email owner
          example: Product manager
        email:
          type: string
    TeamDetails:
      required:
        - id
        - isArchived
        - name
        - tag
      type: object
      properties:
        description:
          type: string
          description: Description of the team entity
          example: This is my team
        id:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier for the
            team entity
          example: en2da8159dbeefb974
        inheritance:
          type: string
          description: Inheritance type, only defined for domain entities
          enum:
            - APPEND
            - FALLBACK
            - NONE
        isArchived:
          type: boolean
        name:
          type: string
          description: Human-readable name for the team entity
          example: My Favorite Team
        provider:
          type: string
          description: >-
            If defined, indicates the ownership provider the team slug
            references
          enum:
            - ACTIVE_DIRECTORY
            - BAMBOO_HR
            - CORTEX
            - GITHUB
            - GITLAB
            - GOOGLE
            - OKTA
            - OPSGENIE
            - WORKDAY
            - SERVICE_NOW
        tag:
          type: string
          description: >-
            Unique identifier for the team entity. Corresponds to the
            x-cortex-tag field in the entity descriptor
          example: my-favorite-team-entity
    Email:
      required:
        - email
      type: object
      properties:
        description:
          type: string
          description: >-
            Description of this owner defined in the Catalog Descriptor, not to
            be confused with the description of the team in the Team pages
        email:
          type: string
        inheritance:
          type: string
          description: Inheritance type, only defined for domain entities
          enum:
            - APPEND
            - FALLBACK
            - NONE
    OwnerGroup:
      required:
        - groupName
      type: object
      properties:
        description:
          type: string
          description: >-
            Description of this owner defined in the Catalog Descriptor. Not to
            be confused with the description of the team in the Team pages.
        groupName:
          type: string
          description: >-
            The slug for the group as defined in the ownership provider. For
            example, the org/team for GitHub teams or the team tag for Cortex
            Teams
          example: cortexapps/engineering
        inheritance:
          type: string
          description: Inheritance type, only defined for domain entities
          enum:
            - APPEND
            - FALLBACK
            - NONE
        provider:
          type: string
          description: >-
            If defined, indicates the ownership provider the team slug
            references
          enum:
            - ACTIVE_DIRECTORY
            - BAMBOO_HR
            - CORTEX
            - GITHUB
            - GITLAB
            - GOOGLE
            - OKTA
            - OPSGENIE
            - WORKDAY
            - SERVICE_NOW
      description: >-
        List of IdP or Cortex Teams (not to be confused with the
        x-cortex-groups).
    SlackChannel:
      required:
        - channel
      type: object
      properties:
        channel:
          type: string
          description: 'The Slack channel identifier without the preceding #'
        description:
          type: string
          description: >-
            Description of this owner defined in the Catalog Descriptor. Not to
            be confused with the description of the team in the Team pages.
        inheritance:
          type: string
          description: Inheritance type, only defined for domain entities
          enum:
            - APPEND
            - FALLBACK
            - NONE
        notificationsEnabled:
          type: boolean
          description: >-
            Refers to the corresponding field in the Catalog Descriptor. This is
            meant to be used for your automation purposes and does not actually
            impact the notification behavior in Cortex.
      description: >-
        Use the top-level `slackChannels` field instead of the one nested inside
        `ownership`
      deprecated: true
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Archiving entities manually](/ingesting-data-into-cortex/entities-overview/entities/archiving-entities/archiving-entities-manually.md)
- [Catalog Entities](/api/rest/catalog-entities.md)
- [Unarchive team](/api/rest/teams/unarchive-team.md)
